package com.nantian.cloud.jly.mapper;



import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.cloud.jly.entity.DictRegion;
import com.nantian.cloud.jly.vo.TreeVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 *行政区划字典表
 * @author scott
 * @since 2020-08-13
 */
@Mapper
public interface DictRegionMapper extends BaseMapper<DictRegion> {

    DictRegion getNameByCode(DictRegion dictRegion);

    List<TreeVo> getDictRegionTree(String id);

    List<TreeVo> getDictRegionTrees(String id);
}
